# Interface IFieldOption

## Index

### Methods

- charAt
- charCodeAt
- concat
- indexOf
- lastIndexOf
- localeCompare
- match
- replace
- search
- slice
- split
- substr
- substring
- toLocaleLowerCase
- toLocaleUpperCase
- toLowerCase
- toString
- toUpperCase
- trim
- trimLeft
- trimRight
- valueOf

### Properties

- String
- length

## Methods

### charAt

- charAt(pos: number): string

- Inherited from String.charAt

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10087.2/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:322

  #### Parameters

  - ##### pos: number

  #### Returns string

### charCodeAt

- charCodeAt(index: number): number

- Inherited from String.charCodeAt

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10087.2/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:328

  #### Parameters

  - ##### index: number

  #### Returns number

### concat

- concat(...strings: string[]): string

- Inherited from String.concat

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10087.2/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:334

  #### Parameters

  - ##### Rest ...strings: string[]

  #### Returns string

### indexOf

- indexOf(searchString: string, position?: number): number

- Inherited from String.indexOf

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10087.2/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:341

  #### Parameters

  - ##### searchString: string

  - ##### Optional position: number

  #### Returns number

### lastIndexOf

- lastIndexOf(searchString: string, position?: number): number

- Inherited from String.lastIndexOf

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10087.2/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:348

  #### Parameters

  - ##### searchString: string

  - ##### Optional position: number

  #### Returns number

### localeCompare

- localeCompare(that: string): number

- Inherited from String.localeCompare

  Overwrites String.localeCompare

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10087.2/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:354

  #### Parameters

  - ##### that: string

  #### Returns number

### match

- match(regexp: string | RegExp): RegExpMatchArray | null

- Inherited from String.match

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10087.2/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:360

  #### Parameters

  - ##### regexp: string | RegExp

  #### Returns RegExpMatchArray | null

### replace

- replace(searchValue: string | RegExp, replaceValue: string): string
- replace(searchValue: string | RegExp, replacer: function): string

- Inherited from String.replace

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10087.2/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:367

  #### Parameters

  - ##### searchValue: string | RegExp

  - ##### replaceValue: string

  #### Returns string

- Inherited from String.replace

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10087.2/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:374

  #### Parameters

  - ##### searchValue: string | RegExp

  - ##### replacer: function

    - - (substring: string, ...args: any[]): string

      - #### Parameters

        - ##### substring: string

        - ##### Rest ...args: any[]

        #### Returns string

### search

- search(regexp: string | RegExp): number

- Inherited from String.search

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10087.2/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:380

  #### Parameters

  - ##### regexp: string | RegExp

  #### Returns number

### slice

- slice(start?: number, end?: number): string

- Inherited from String.slice

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10087.2/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:388

  #### Parameters

  - ##### Optional start: number

  - ##### Optional end: number

  #### Returns string

### split

- split(separator: string | RegExp, limit?: number): string[]

- Inherited from String.split

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10087.2/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:395

  #### Parameters

  - ##### separator: string | RegExp

  - ##### Optional limit: number

  #### Returns string[]

### substr

- substr(from: number, length?: number): string

- Inherited from String.substr

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10087.2/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:429

  #### Parameters

  - ##### from: number

  - ##### Optional length: number

  #### Returns string

### substring

- substring(start: number, end?: number): string

- Inherited from String.substring

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10087.2/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:403

  #### Parameters

  - ##### start: number

  - ##### Optional end: number

  #### Returns string

### toLocaleLowerCase

- toLocaleLowerCase(): string

- Inherited from String.toLocaleLowerCase

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10087.2/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:409

  #### Returns string

### toLocaleUpperCase

- toLocaleUpperCase(): string

- Inherited from String.toLocaleUpperCase

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10087.2/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:415

  #### Returns string

### toLowerCase

- toLowerCase(): string

- Inherited from String.toLowerCase

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10087.2/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:406

  #### Returns string

### toString

- toString(): string

- Inherited from String.toString

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10087.2/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:316

  #### Returns string

### toUpperCase

- toUpperCase(): string

- Inherited from String.toUpperCase

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10087.2/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:412

  #### Returns string

### trim

- trim(): string

- Inherited from String.trim

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10087.2/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:418

  #### Returns string

### trimLeft

- trimLeft(): string

- Inherited from String.trimLeft

  - Defined in node_modules/@types/node/index.d.ts:179

  #### Returns string

### trimRight

- trimRight(): string

- Inherited from String.trimRight

  - Defined in node_modules/@types/node/index.d.ts:181

  #### Returns string

### valueOf

- valueOf(): string

- Inherited from String.valueOf

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10087.2/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:432

  #### Returns string

## Properties

### String

String: StringConstructor

- Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10087.2/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:447

### length

length: number

Inherited from String.length

- Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10087.2/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:421

### Hierarchy

- String

### Indexable

[index: number]: string